<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formatando strings e números</title>
    <style>
        body {
            font: normal 20pt;
        }
    </style>
</head>
<body>
    <h1>Formatação de Strings:</h1>
    <p>No exemplo abaixo ver-se-á um exemplo típico de formatação de strings em JavaScript:</p>
    <script>
        var nome = window.prompt('Qual é seu nome?')
        document.write(`Olá <strong>${nome}</strong>! Seu nome tem ${nome.length} letras. <br/>`)
        document.write(`Seu nome em letras maiúsculas fica ${nome.toUpperCase()}. <br/>`) // <br/> é quebra de linha
        document.write(`E em letras minúsculas fica ${nome.toLowerCase()}. <br/>`)
    </script>
    <h1>Formatação de números:</h1>
    <p>No próximo exemplo é possível ver diferentes formatações de números em JavaScript:</p>
    <script>
        var n1 = Number(window.prompt(`Qual seu salário mensal atual?`))
        document.write(`Você ganha ${n1} ao mês! <br/>`)
        document.write(`Você ganha ${n1.toFixed(2)} ao mês! <br/>`)
        document.write(`Você ganha ${n1.toFixed(2).replace('.',',')} ao mês! <br/>`)
        document.write(`Você ganha ${n1.toLocaleString('pt-BR', {style: 'currency', currency: 'BRL'})} ao mês! <br/>`)
        document.write(`Você ganha ${n1.toLocaleString('eu', {style: 'currency', currency: 'EUR'})} ao mês! <br/>`)
        document.write(`Você ganha ${n1.toLocaleString('us', {style: 'currency', currency: 'USD'})} ao mês! <br/>`)
    </script>
</body>
</html>